/// <reference types="node" />
import { EntireConfig } from '..';
export declare const getStaticFiles: (dir: string) => Promise<string[]>;
/**
 * get html/css/javascript in target dir
 */
export declare const getHtmlCssJsFiles: (dir: string) => Promise<string[]>;
/**
 * get static assets which are not js/ts/jsx/tsx files in cwd
 * will merge into webpack assets.json
 * @param dir
 * @returns
 */
export declare const getStaticAssets: (dir: string) => Promise<Record<string, string>>;
export declare const revStaticAssets: (dir: string) => Promise<Record<string, string>>;
export declare function getAssets(stats: Record<string, any>): Record<string, string>;
export declare function readAssets(config: EntireConfig): Record<string, any>;
type Manifest = Record<string, string>;
export declare function replace(contents: string, manifest: Manifest): string;
export declare function revPath(path: string, hash: string): string;
export default function revisionHash(data: string | Buffer): string;
export declare function getHashFilename(originalPath: string, contents: Buffer | string): string;
export {};
